| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Initialization
Vector Operations

## Undefined initialization for 64-bit registers
v2float | undef_v2float ()
v2cbfloat16 | undef_v2cbfloat16 ()

## Undefined initialization for 128-bit registers
v32int4 | undef_v32int4 ()
v32uint4 | undef_v32uint4 ()
v16int8 | undef_v16int8 ()
v16uint8 | undef_v16uint8 ()
v4cint16 | undef_v4cint16 ()
v8int16 | undef_v8int16 ()
v8uint16 | undef_v8uint16 ()
v2cint32 | undef_v2cint32 ()
v4int32 | undef_v4int32 ()
v4uint32 | undef_v4uint32 ()
v8bfloat16 | undef_v8bfloat16 ()
v8float16 | undef_v8float16 ()
v16bfloat8 | undef_v16bfloat8 ()
v16float8 | undef_v16float8 ()
v4float | undef_v4float ()
v4cbfloat16 | undef_v4cbfloat16 ()
v2cfloat | undef_v2cfloat ()

## Undefined initialization for 256-bit registers
v64int4 | undef_v64int4 ()
v64uint4 | undef_v64uint4 ()
v32int8 | undef_v32int8 ()
v32uint8 | undef_v32uint8 ()
v8cint16 | undef_v8cint16 ()
v16int16 | undef_v16int16 ()
v16uint16 | undef_v16uint16 ()
v4cint32 | undef_v4cint32 ()
v8int32 | undef_v8int32 ()
v8uint32 | undef_v8uint32 ()
v8accfloat | undef_v8accfloat ()
v4caccfloat | undef_v4caccfloat ()
v8acc32 | undef_v8acc32 ()
v4acc64 | undef_v4acc64 ()
v2cacc64 | undef_v2cacc64 ()
v16bfloat16 | undef_v16bfloat16 ()
v16float16 | undef_v16float16 ()
v32bfloat8 | undef_v32bfloat8 ()
v32float8 | undef_v32float8 ()
v8float | undef_v8float ()
v8cbfloat16 | undef_v8cbfloat16 ()
v4cfloat | undef_v4cfloat ()

## Undefined initialization for 320-bit registers
v32mx9 | undef_v32mx9 ()
v32bfp16p | undef_v32bfp16p ()

## Undefined initialization for 384-bit registers
v64mx6 | undef_v64mx6 ()
v64bfp13p | undef_v64bfp13p ()
v64mx4 | undef_v64mx4 ()
v64bfp11p | undef_v64bfp11p ()

## Undefined initialization for 512-bit registers
v128int4 | undef_v128int4 ()
v128uint4 | undef_v128uint4 ()
v64int8 | undef_v64int8 ()
v64uint8 | undef_v64uint8 ()
v16cint16 | undef_v16cint16 ()
v32int16 | undef_v32int16 ()
v32uint16 | undef_v32uint16 ()
v8cint32 | undef_v8cint32 ()
v16int32 | undef_v16int32 ()
v16uint32 | undef_v16uint32 ()
v16accfloat | undef_v16accfloat ()
v8caccfloat | undef_v8caccfloat ()
v16acc32 | undef_v16acc32 ()
v8acc64 | undef_v8acc64 ()
v4cacc64 | undef_v4cacc64 ()
v32bfloat16 | undef_v32bfloat16 ()
v32float16 | undef_v32float16 ()
v64bfloat8 | undef_v64bfloat8 ()
v64float8 | undef_v64float8 ()
v16float | undef_v16float ()
v16cbfloat16 | undef_v16cbfloat16 ()
v8cfloat | undef_v8cfloat ()

## Undefined initialization for 640-bit registers
v256int4_sparse | undef_v256int4_sparse ()
v256uint4_sparse | undef_v256uint4_sparse ()
v128int8_sparse | undef_v128int8_sparse ()
v128uint8_sparse | undef_v128uint8_sparse ()
v64int16_sparse | undef_v64int16_sparse ()
v64uint16_sparse | undef_v64uint16_sparse ()
v64mx9 | undef_v64mx9 ()
v64bfp16p | undef_v64bfp16p ()
v64bfloat16_sparse | undef_v64bfloat16_sparse ()
v64float16_sparse | undef_v64float16_sparse ()
v128bfloat8_sparse | undef_v128bfloat8_sparse ()
v128float8_sparse | undef_v128float8_sparse ()

## Undefined initialization for 768-bit registers
v128mx6 | undef_v128mx6 ()
v128bfp13p | undef_v128bfp13p ()
v128mx4 | undef_v128mx4 ()
v128bfp11p | undef_v128bfp11p ()

## Undefined initialization for 1024-bit registers
v256int4 | undef_v256int4 ()
v256uint4 | undef_v256uint4 ()
v128int8 | undef_v128int8 ()
v128uint8 | undef_v128uint8 ()
v32cint16 | undef_v32cint16 ()
v64int16 | undef_v64int16 ()
v64uint16 | undef_v64uint16 ()
v16cint32 | undef_v16cint32 ()
v32int32 | undef_v32int32 ()
v32uint32 | undef_v32uint32 ()
v32accfloat | undef_v32accfloat ()
v16caccfloat | undef_v16caccfloat ()
v32acc32 | undef_v32acc32 ()
v16acc64 | undef_v16acc64 ()
v8cacc64 | undef_v8cacc64 ()
v64bfloat16 | undef_v64bfloat16 ()
v64float16 | undef_v64float16 ()
v128bfloat8 | undef_v128bfloat8 ()
v128float8 | undef_v128float8 ()
v32float | undef_v32float ()
v32cbfloat16 | undef_v32cbfloat16 ()
v16cfloat | undef_v16cfloat ()

## Undefined initialization for 1280-bit registers
v512int4_sparse | undef_v512int4_sparse ()
v512uint4_sparse | undef_v512uint4_sparse ()
v256int8_sparse | undef_v256int8_sparse ()
v256uint8_sparse | undef_v256uint8_sparse ()
v128int16_sparse | undef_v128int16_sparse ()
v128uint16_sparse | undef_v128uint16_sparse ()
v128mx9 | undef_v128mx9 ()
v128bfp16p | undef_v128bfp16p ()
v128bfloat16_sparse | undef_v128bfloat16_sparse ()
v128float16_sparse | undef_v128float16_sparse ()
v256bfloat8_sparse | undef_v256bfloat8_sparse ()
v256float8_sparse | undef_v256float8_sparse ()

## Undefined initialization for 1536-bit registers
v256mx6 | undef_v256mx6 ()
v256bfp13p | undef_v256bfp13p ()
v256mx4 | undef_v256mx4 ()
v256bfp11p | undef_v256bfp11p ()

## Undefined initialization for 2048-bit registers
v64accfloat | undef_v64accfloat ()
v32caccfloat | undef_v32caccfloat ()
v64acc32 | undef_v64acc32 ()
v32acc64 | undef_v32acc64 ()
v16cacc64 | undef_v16cacc64 ()
v64float | undef_v64float ()
v64cbfloat16 | undef_v64cbfloat16 ()
v32cfloat | undef_v32cfloat ()

## Undefined initialization for 2560-bit registers
v256mx9 | undef_v256mx9 ()
v256bfp16p | undef_v256bfp16p ()

## Detailed Description

Initialization intrinsics for accumulator and vector types.

The "undef" functions are used to create a vector variable without the compiler giving a "using undefined variable" warning.

## Function Documentation

## ◆ undef_v128bfloat16_sparse()

v128bfloat16_sparse undef_v128bfloat16_sparse | ( |  | ) |

## ◆ undef_v128bfloat8()

v128bfloat8 undef_v128bfloat8 | ( |  | ) |

## ◆ undef_v128bfloat8_sparse()

v128bfloat8_sparse undef_v128bfloat8_sparse | ( |  | ) |

## ◆ undef_v128bfp11p()

v128bfp11p undef_v128bfp11p | ( |  | ) |

## ◆ undef_v128bfp13p()

v128bfp13p undef_v128bfp13p | ( |  | ) |

## ◆ undef_v128bfp16p()

v128bfp16p undef_v128bfp16p | ( |  | ) |

## ◆ undef_v128float16_sparse()

v128float16_sparse undef_v128float16_sparse | ( |  | ) |

## ◆ undef_v128float8()

v128float8 undef_v128float8 | ( |  | ) |

## ◆ undef_v128float8_sparse()

v128float8_sparse undef_v128float8_sparse | ( |  | ) |

## ◆ undef_v128int16_sparse()

v128int16_sparse undef_v128int16_sparse | ( |  | ) |

## ◆ undef_v128int4()

v128int4 undef_v128int4 | ( |  | ) |

## ◆ undef_v128int8()

v128int8 undef_v128int8 | ( |  | ) |

## ◆ undef_v128int8_sparse()

v128int8_sparse undef_v128int8_sparse | ( |  | ) |

## ◆ undef_v128mx4()

v128mx4 undef_v128mx4 | ( |  | ) |

## ◆ undef_v128mx6()

v128mx6 undef_v128mx6 | ( |  | ) |

## ◆ undef_v128mx9()

v128mx9 undef_v128mx9 | ( |  | ) |

## ◆ undef_v128uint16_sparse()

v128uint16_sparse undef_v128uint16_sparse | ( |  | ) |

## ◆ undef_v128uint4()

v128uint4 undef_v128uint4 | ( |  | ) |

## ◆ undef_v128uint8()

v128uint8 undef_v128uint8 | ( |  | ) |

## ◆ undef_v128uint8_sparse()

v128uint8_sparse undef_v128uint8_sparse | ( |  | ) |

## ◆ undef_v16acc32()

v16acc32 undef_v16acc32 | ( |  | ) |

## ◆ undef_v16acc64()

v16acc64 undef_v16acc64 | ( |  | ) |

## ◆ undef_v16accfloat()

v16accfloat undef_v16accfloat | ( |  | ) |

## ◆ undef_v16bfloat16()

v16bfloat16 undef_v16bfloat16 | ( |  | ) |

## ◆ undef_v16bfloat8()

v16bfloat8 undef_v16bfloat8 | ( |  | ) |

## ◆ undef_v16cacc64()

v16cacc64 undef_v16cacc64 | ( |  | ) |

## ◆ undef_v16caccfloat()

v16caccfloat undef_v16caccfloat | ( |  | ) |

## ◆ undef_v16cbfloat16()

v16cbfloat16 undef_v16cbfloat16 | ( |  | ) |

## ◆ undef_v16cfloat()

v16cfloat undef_v16cfloat | ( |  | ) |

## ◆ undef_v16cint16()

v16cint16 undef_v16cint16 | ( |  | ) |

## ◆ undef_v16cint32()

v16cint32 undef_v16cint32 | ( |  | ) |

## ◆ undef_v16float()

v16float undef_v16float | ( |  | ) |

## ◆ undef_v16float16()

v16float16 undef_v16float16 | ( |  | ) |

## ◆ undef_v16float8()

v16float8 undef_v16float8 | ( |  | ) |

## ◆ undef_v16int16()

v16int16 undef_v16int16 | ( |  | ) |

## ◆ undef_v16int32()

v16int32 undef_v16int32 | ( |  | ) |

## ◆ undef_v16int8()

v16int8 undef_v16int8 | ( |  | ) |

## ◆ undef_v16uint16()

v16uint16 undef_v16uint16 | ( |  | ) |

## ◆ undef_v16uint32()

v16uint32 undef_v16uint32 | ( |  | ) |

## ◆ undef_v16uint8()

v16uint8 undef_v16uint8 | ( |  | ) |

## ◆ undef_v256bfloat8_sparse()

v256bfloat8_sparse undef_v256bfloat8_sparse | ( |  | ) |

## ◆ undef_v256bfp11p()

v256bfp11p undef_v256bfp11p | ( |  | ) |

## ◆ undef_v256bfp13p()

v256bfp13p undef_v256bfp13p | ( |  | ) |

## ◆ undef_v256bfp16p()

v256bfp16p undef_v256bfp16p | ( |  | ) |

## ◆ undef_v256float8_sparse()

v256float8_sparse undef_v256float8_sparse | ( |  | ) |

## ◆ undef_v256int4()

v256int4 undef_v256int4 | ( |  | ) |

## ◆ undef_v256int4_sparse()

v256int4_sparse undef_v256int4_sparse | ( |  | ) |

## ◆ undef_v256int8_sparse()

v256int8_sparse undef_v256int8_sparse | ( |  | ) |

## ◆ undef_v256mx4()

v256mx4 undef_v256mx4 | ( |  | ) |

## ◆ undef_v256mx6()

v256mx6 undef_v256mx6 | ( |  | ) |

## ◆ undef_v256mx9()

v256mx9 undef_v256mx9 | ( |  | ) |

## ◆ undef_v256uint4()

v256uint4 undef_v256uint4 | ( |  | ) |

## ◆ undef_v256uint4_sparse()

v256uint4_sparse undef_v256uint4_sparse | ( |  | ) |

## ◆ undef_v256uint8_sparse()

v256uint8_sparse undef_v256uint8_sparse | ( |  | ) |

## ◆ undef_v2cacc64()

v2cacc64 undef_v2cacc64 | ( |  | ) |

## ◆ undef_v2cbfloat16()

v2cbfloat16 undef_v2cbfloat16 | ( |  | ) |

## ◆ undef_v2cfloat()

v2cfloat undef_v2cfloat | ( |  | ) |

## ◆ undef_v2cint32()

v2cint32 undef_v2cint32 | ( |  | ) |

## ◆ undef_v2float()

v2float undef_v2float | ( |  | ) |

## ◆ undef_v32acc32()

v32acc32 undef_v32acc32 | ( |  | ) |

## ◆ undef_v32acc64()

v32acc64 undef_v32acc64 | ( |  | ) |

## ◆ undef_v32accfloat()

v32accfloat undef_v32accfloat | ( |  | ) |

## ◆ undef_v32bfloat16()

v32bfloat16 undef_v32bfloat16 | ( |  | ) |

## ◆ undef_v32bfloat8()

v32bfloat8 undef_v32bfloat8 | ( |  | ) |

## ◆ undef_v32bfp16p()

v32bfp16p undef_v32bfp16p | ( |  | ) |

## ◆ undef_v32caccfloat()

v32caccfloat undef_v32caccfloat | ( |  | ) |

## ◆ undef_v32cbfloat16()

v32cbfloat16 undef_v32cbfloat16 | ( |  | ) |

## ◆ undef_v32cfloat()

v32cfloat undef_v32cfloat | ( |  | ) |

## ◆ undef_v32cint16()

v32cint16 undef_v32cint16 | ( |  | ) |

## ◆ undef_v32float()

v32float undef_v32float | ( |  | ) |

## ◆ undef_v32float16()

v32float16 undef_v32float16 | ( |  | ) |

## ◆ undef_v32float8()

v32float8 undef_v32float8 | ( |  | ) |

## ◆ undef_v32int16()

v32int16 undef_v32int16 | ( |  | ) |

## ◆ undef_v32int32()

v32int32 undef_v32int32 | ( |  | ) |

## ◆ undef_v32int4()

v32int4 undef_v32int4 | ( |  | ) |

## ◆ undef_v32int8()

v32int8 undef_v32int8 | ( |  | ) |

## ◆ undef_v32mx9()

v32mx9 undef_v32mx9 | ( |  | ) |

## ◆ undef_v32uint16()

v32uint16 undef_v32uint16 | ( |  | ) |

## ◆ undef_v32uint32()

v32uint32 undef_v32uint32 | ( |  | ) |

## ◆ undef_v32uint4()

v32uint4 undef_v32uint4 | ( |  | ) |

## ◆ undef_v32uint8()

v32uint8 undef_v32uint8 | ( |  | ) |

## ◆ undef_v4acc64()

v4acc64 undef_v4acc64 | ( |  | ) |

## ◆ undef_v4cacc64()

v4cacc64 undef_v4cacc64 | ( |  | ) |

## ◆ undef_v4caccfloat()

v4caccfloat undef_v4caccfloat | ( |  | ) |

## ◆ undef_v4cbfloat16()

v4cbfloat16 undef_v4cbfloat16 | ( |  | ) |

## ◆ undef_v4cfloat()

v4cfloat undef_v4cfloat | ( |  | ) |

## ◆ undef_v4cint16()

v4cint16 undef_v4cint16 | ( |  | ) |

## ◆ undef_v4cint32()

v4cint32 undef_v4cint32 | ( |  | ) |

## ◆ undef_v4float()

v4float undef_v4float | ( |  | ) |

## ◆ undef_v4int32()

v4int32 undef_v4int32 | ( |  | ) |

## ◆ undef_v4uint32()

v4uint32 undef_v4uint32 | ( |  | ) |

## ◆ undef_v512int4_sparse()

v512int4_sparse undef_v512int4_sparse | ( |  | ) |

## ◆ undef_v512uint4_sparse()

v512uint4_sparse undef_v512uint4_sparse | ( |  | ) |

## ◆ undef_v64acc32()

v64acc32 undef_v64acc32 | ( |  | ) |

## ◆ undef_v64accfloat()

v64accfloat undef_v64accfloat | ( |  | ) |

## ◆ undef_v64bfloat16()

v64bfloat16 undef_v64bfloat16 | ( |  | ) |

## ◆ undef_v64bfloat16_sparse()

v64bfloat16_sparse undef_v64bfloat16_sparse | ( |  | ) |

## ◆ undef_v64bfloat8()

v64bfloat8 undef_v64bfloat8 | ( |  | ) |

## ◆ undef_v64bfp11p()

v64bfp11p undef_v64bfp11p | ( |  | ) |

## ◆ undef_v64bfp13p()

v64bfp13p undef_v64bfp13p | ( |  | ) |

## ◆ undef_v64bfp16p()

v64bfp16p undef_v64bfp16p | ( |  | ) |

## ◆ undef_v64cbfloat16()

v64cbfloat16 undef_v64cbfloat16 | ( |  | ) |

## ◆ undef_v64float()

v64float undef_v64float | ( |  | ) |

## ◆ undef_v64float16()

v64float16 undef_v64float16 | ( |  | ) |

## ◆ undef_v64float16_sparse()

v64float16_sparse undef_v64float16_sparse | ( |  | ) |

## ◆ undef_v64float8()

v64float8 undef_v64float8 | ( |  | ) |

## ◆ undef_v64int16()

v64int16 undef_v64int16 | ( |  | ) |

## ◆ undef_v64int16_sparse()

v64int16_sparse undef_v64int16_sparse | ( |  | ) |

## ◆ undef_v64int4()

v64int4 undef_v64int4 | ( |  | ) |

## ◆ undef_v64int8()

v64int8 undef_v64int8 | ( |  | ) |

## ◆ undef_v64mx4()

v64mx4 undef_v64mx4 | ( |  | ) |

## ◆ undef_v64mx6()

v64mx6 undef_v64mx6 | ( |  | ) |

## ◆ undef_v64mx9()

v64mx9 undef_v64mx9 | ( |  | ) |

## ◆ undef_v64uint16()

v64uint16 undef_v64uint16 | ( |  | ) |

## ◆ undef_v64uint16_sparse()

v64uint16_sparse undef_v64uint16_sparse | ( |  | ) |

## ◆ undef_v64uint4()

v64uint4 undef_v64uint4 | ( |  | ) |

## ◆ undef_v64uint8()

v64uint8 undef_v64uint8 | ( |  | ) |

## ◆ undef_v8acc32()

v8acc32 undef_v8acc32 | ( |  | ) |

## ◆ undef_v8acc64()

v8acc64 undef_v8acc64 | ( |  | ) |

## ◆ undef_v8accfloat()

v8accfloat undef_v8accfloat | ( |  | ) |

## ◆ undef_v8bfloat16()

v8bfloat16 undef_v8bfloat16 | ( |  | ) |

## ◆ undef_v8cacc64()

v8cacc64 undef_v8cacc64 | ( |  | ) |

## ◆ undef_v8caccfloat()

v8caccfloat undef_v8caccfloat | ( |  | ) |

## ◆ undef_v8cbfloat16()

v8cbfloat16 undef_v8cbfloat16 | ( |  | ) |

## ◆ undef_v8cfloat()

v8cfloat undef_v8cfloat | ( |  | ) |

## ◆ undef_v8cint16()

v8cint16 undef_v8cint16 | ( |  | ) |

## ◆ undef_v8cint32()

v8cint32 undef_v8cint32 | ( |  | ) |

## ◆ undef_v8float()

v8float undef_v8float | ( |  | ) |

## ◆ undef_v8float16()

v8float16 undef_v8float16 | ( |  | ) |

## ◆ undef_v8int16()

v8int16 undef_v8int16 | ( |  | ) |

## ◆ undef_v8int32()

v8int32 undef_v8int32 | ( |  | ) |

## ◆ undef_v8uint16()

v8uint16 undef_v8uint16 | ( |  | ) |

## ◆ undef_v8uint32()

v8uint32 undef_v8uint32 | ( |  | ) |